from matplotlib.pyplot import figure, show, cm
from numpy import arange
from numpy.random import rand

def gbar(ax, x, y, width=0.5, bottom=0):
   X = [[.6, .6],[.7,.7]]
   for left,top in zip(x, y):
       right = left+width
       ax.imshow(X, interpolation='bicubic', cmap=cm.Blues,
                 extent=(left, right, bottom, top), alpha=1)


def prepareData():
	dir = "/home/jve/afgangsprojekt/data/test-cpu-host-0-100/"
	files = ['test0', 'test1.csv','test2.csv','test3.csv','test4.csv','test5.csv','test6.csv','test7.csv','test8.csv','test9.csv', 'test10.csv']
	data = 0
	len = 0

	for s in files:
		filename = dir + s
		print filename
		FILE = open(filename,"r")
		while True:
			file_data  = FILE.readline()
			if file_data == "":
				data / len
				break
			file_data = file_data.split(',')
			data += int(file_data[3])	
			len += 1
		
	FILE.close() # this is icing, you can just exit and this will be


fig = figure()

xmin, xmax = xlim = 0,10
ymin, ymax = ylim = 0,1
ax = fig.add_subplot(111, xlim=xlim, ylim=ylim,
                    autoscale_on=False)
X = [[.6, .6],[.7,.7]]

ax.imshow(X, interpolation='bicubic', cmap=cm.copper,
         extent=(xmin, xmax, ymin, ymax), alpha=1)

N = 10
x = arange(N)+0.25
y = rand(N)
print y


gbar(ax, x, y, width=0.7)
ax.set_aspect('normal')
show()

