import numpy as np
import matplotlib.pyplot as plt

def prepareData():
	dir = "/home/jve/afgangsprojekt/data/test-cpu-host-0-100/"
	files = ['test0.csv', 'test1.csv','test2.csv','test3.csv','test4.csv','test5.csv','test6.csv','test7.csv','test8.csv','test9.csv', 'test10.csv']
	data = 0.0
	len = 0
	
	all_data = []

	for s in files:
		filename = dir + s
		FILE = open(filename,"r")
		while True:
			file_data  = FILE.readline()
			#print file_data
			#print s
			if file_data == "":
				all_data.append(data / len)
				break
			file_data = file_data.split(',')
			data += float(256) / float(16000000) * float( int(file_data[3]) )	
			len += 1
		FILE.close()
	return all_data


y = np.arange( 0, 11, 1 )
x = np.array( prepareData() )
print x

#plt.hist( x, bins=y )
plt.plot(y, x)



# the histogram of the data
#n, bins, patches = 

#plt.hist([ 9000, 8000, 7000, 6000, 5000, 4000, 3000, 2000, 1000, 2000 ] , y )


plt.xlabel('CPU load in 10%')
plt.ylabel('SRT')
plt.title('Test1')
#plt.text(60, .025, r'$\mu=100,\ \sigma=15$')
#plt.axis([0, 10, 0, 10])
plt.grid(True)
plt.show()

