import numpy as np
import matplotlib.pyplot as plt
import sys 
import cmath
import string
import pylab


print sys.argv

i = int(sys.argv[1])  
title = sys.argv[2]

minSRT = []
maxSRT = []

def prepareData():
	# Dir og filer for klienten
	#dir = "../../data/test-cpu-client-0-100/"
	#files = ['test2-0.csv', 'test2-1.csv', 'test2-2.csv','test2-3.csv', 'test2-4.csv','test2-5.csv','test2-6.csv','test2-7.csv','test2-8.csv','test2-9.csv', 'test2-10.csv']

	# Dir og filer for vaerten
	dir = "../../data/test-cpu-host-0-100/"
	files = ['test0.csv', 'test1.csv', 'test2.csv','test3.csv', 'test4.csv','test5.csv','test6.csv','test7.csv','test8.csv','test9.csv', 'test10.csv']

	all_data = []
	all_data_leng = []

	for s in files:
		filename = dir + s
		FILE = open(filename,"r")
		leng = 0
		data = 0.0
		minmaxData = []
		while True:
			for l in range(5):
				if l == i:
					file_data = FILE.readline()
				else:
					FILE.readline()
			

			if file_data == "":
				average = float(data) / float(leng)
				print leng
				all_data.append(average)
				all_data_leng.append(leng)
				break
			file_data = file_data.split(',')
			temp = float(256) / float(16000000) * float( int(file_data[3]) )	
			data += temp
			#data = int(file_data[3])
			minmaxData.append(temp)
			
			leng += 1
		
		minmaxData.sort()
		minSRT.append(minmaxData[0])
		maxSRT.append(minmaxData.pop())
		#print minSRT
		#print maxSRT
		FILE.close()
	return all_data
	
average = prepareData()

y = np.arange( 0, 11, 1 )
x = np.array( average )
print "average"
print average

#plt.hist( x, bins=y )
plt.plot(y, x, color="r", label="Middeltal")
pylab.legend(loc=2)


x = np.array( minSRT )
plt.plot(y, x, color="b", label="Minimum")
pylab.legend(loc=2)

x = np.array( maxSRT )
plt.plot(y, x, color="y", label="Maksimum")
pylab.legend(loc=2)
#plt.plot(y, z)


# the histogram of the data
#n, bins, patches = 

#plt.hist([ 9000, 8000, 7000, 6000, 5000, 4000, 3000, 2000, 1000, 2000 ] , y )


plt.xlabel('CPU load i 10% trin')
plt.ylabel('SRT i sekunder')
plt.title(title)
#plt.text(60, .025, r'$\mu=100,\ \sigma=15$')
#plt.axis([0, 10, 0, 1])
plt.grid(True)
title = string.replace(title, " ", "-")
title = string.replace(title, ":", "")
plt.savefig(title + '.png')
#plt.show()

